<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	xmlns:composite="http://java.sun.com/jsf/composite">

<composite:interface>
	<composite:attribute name="nom" required="false" />
</composite:interface>

<composite:implementation>
	<h:outputStylesheet library="css" name="org/inra/ecoinfo/glacpe/dataset/jsf-datasetManagementPanel-styles.css" />
	<rich:dataTable var="currentSelection"
		value="#{uiDataset.currentSelections}" id="currentSelectionTable"
		styleClass="dataTable datasetSelectedDatatable">
		<f:facet name="header">
			<h:outputText
				value="#{datasetManagementPanel.PARAM_MSG_YOUR_SELECTION}" />
		</f:facet>
		<rich:column>
			<f:facet name="header">
				<h:outputText
					value="#{datasetManagementPanel.PARAM_MSG_PROJET_PLACE}" />
			</f:facet>
			<h:panelGroup
				rendered="#{currentSelection.names['projet'] != null}">

				<h:outputText
					value="#{currentSelection.localNames['projet']}" />
				<h:graphicImage value="#{resource['images:accepted.png']}" />
			</h:panelGroup>

			<h:outputText
				value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_PROJET_PLACE}"
				rendered="#{currentSelection.names['projet'] == null}"
				styleClass="emptySelection" />

		</rich:column>

		<rich:column>
			<f:facet name="header">
				<h:outputText value="#{datasetManagementPanel.PARAM_MSG_SITE_PLACE}" />
			</f:facet>
			<h:panelGroup rendered="#{currentSelection.names['localisation'] != null}">
				<h:outputText value="#{currentSelection.localNames['localisation']}" />

				<h:graphicImage value="#{resource['images:accepted.png']}" />
			</h:panelGroup>

			<h:outputText
				value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_SITE}"
				rendered="#{currentSelection.names['localisation'] == null and currentSelection.names['type'] != null}"
				styleClass="emptySelection" />

			<h:outputText value="..."
				rendered="#{currentSelection.names['localisation'] == null and currentSelection.names['type'] == null}"
				styleClass="emptySelection" />

		</rich:column>

		<rich:column>
			<f:facet name="header">
				<h:outputText value="#{datasetManagementPanel.PARAM_MSG_THEME}" />
			</f:facet>
			<h:panelGroup rendered="#{currentSelection.names['theme'] != null}">
				<h:outputText value="#{currentSelection.localNames['theme']}" />

				<h:graphicImage value="#{resource['images:accepted.png']}"
					 />
			</h:panelGroup>

			<h:outputText
				value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_THEME}"
				rendered="#{currentSelection.names['theme'] == null and currentSelection.names['localisation'] != null}"
				styleClass="emptySelection" />

			<h:outputText value="..."
				rendered="#{currentSelection.names['theme'] == null and currentSelection.names['localisation'] == null}"
				styleClass="emptySelection" />

		</rich:column>

		<rich:column>
			<f:facet name="header">
				<h:outputText value="#{datasetManagementPanel.PARAM_MSG_DATATYPE}" />
			</f:facet>
			<h:panelGroup
				rendered="#{currentSelection.names['datatype'] != null}">
				<h:outputText value="#{currentSelection.localNames['datatype']}" />
				<h:graphicImage value="#{resource['images:accepted.png']}" />
			</h:panelGroup>

			<h:outputText
				value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_DATATYPE}."
				rendered="#{currentSelection.names['datatype'] == null and currentSelection.names['theme'] != null}"
				styleClass="emptySelection" />

			<h:outputText value="..."
				rendered="#{currentSelection.names['datatype'] == null and currentSelection.names['theme'] == null}"
				styleClass="emptySelection" />
		</rich:column>
	</rich:dataTable>
</composite:implementation>
</html>